/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   Zombie.hpp                                         :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: adjoly <adjoly@student.42angouleme.fr>     +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2024/11/04 10:52:33 by adjoly            #+#    #+#             */
/*   Updated: 2024/11/04 19:22:07 by adjoly           ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#pragma once

# include <string>

# define uint8_t	unsigned char

class Zombie {
	private:
		std::string	name;

	public:
		void	announce(void);
		void	setName(std::string newName);

		Zombie(void);
		~Zombie(void);
};

Zombie	*zombieHorde(int n, std::string name);
